import axios from '@/common/services/axios-instance'

class AuditAdvancedImportService {
  // 导入
  Import(params) {
    return axios({
      method: 'post',
      url: 'api/xcoa-mobile/v1/iam-excel-config/importData',
      data: params,
    })
  }

  // 下载会议计划批量导入模板
  downloadMeetingPlanTemplateExcel() {
    return axios({
      method: 'get',
      url: 'api/xcoa-mobile/v1/iam-excel-config/importData',
      responseType: 'blob',
    })
  }

  getTemplate(configId) {
    return axios({
      method: 'get',
      url: `api/xcoa-mobile/v1/iam-excel-config/excelTemplate?configId=${configId}`,
    })
  }

  downloadTemplateExcel(path, params) {
    return axios({
      method: 'post',
      url: `${path}`,
      data: params,
    })
  }
}

export default new AuditAdvancedImportService()
